LinuxQuestions.org
View the Most Wanted LQ Wiki articles.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 05-23-2005, 01:30 AM   #1
crazytigger
Member
 
Registered: Sep 2004
Location: Brighton UK
Distribution: *buntu 7.10
Posts: 59

Rep: Reputation: 15
suse 9.2 cant get avi's to play :*(


Suse 9.2 on compaq laptop. Virtually everythings works fine, even 3d acceleration for my unsupported graphics card (the ATI igp 320m (mobility U1))

I ran mandrake before and it played AVI's out of the box. Now i can't get mplayer to install, and none of the default players do it:

It says when i try to install the RPM for mplayer with YaST:

libmp3lame.so.0 not avaliable..

and

win32codec-all not avaliable..

I installed both these packages via rpm from summut like rpm.pbone.net..

wtf?

Ill be quick to provide more details if required. If i sound like a frustrated n00b thats because i am but i've not come across this before..

I thought it could be something to do with the new kernel -- i was using 2.4.x before now im on 2.6.x .. seems much better especially as my graphics card actually is doing its job, but then i switched from mandrake to suse and got a new kernel so i dont know..

Ive tried installing various codec packages but kaffine and/or xine dont find them or they dont work ;*(

thanks in advance
 
Old 05-23-2005, 05:58 AM   #2
J_Szucs
Senior Member
 
Registered: Nov 2001
Location: Budapest, Hungary
Distribution: SuSE 6.4-11.3, Dsl linux, FreeBSD 4.3-6.2, Mandrake 8.2, Redhat, UHU, Debian Etch
Posts: 1,126

Rep: Reputation: 58
It is typical when you install rpm(s) that were packaged for some other distro, not for SuSE.

Uninstall those packages, and add a good installation source in yast, instead:

Open up the yast/softwares/InstallationSources window, and add http://packman.iu-bremen.de/suse/9.2/ as an installations source.
Make it the first installation source.

Then open up yast/softwares/InstallPackages window, search and select the mplayer package and click the install button.

Yast will download and install the mplayer package from the packman site for you; meanwhile it will take care of all dependencies.
 
Old 05-23-2005, 06:08 AM   #3
abisko00
Senior Member
 
Registered: Mar 2004
Location: Munich
Distribution: SuSE, Ubuntu
Posts: 3,511

Rep: Reputation: 58
Since the above post should solve your problem, I dare to change the topic
Quote:
Suse 9.2 on compaq laptop. Virtually everythings works fine, even 3d acceleration for my unsupported graphics card (the ATI igp 320m (mobility U1))
This made me curious: how did you manage that? I am trying this for ages meanwhile.
 
Old 05-23-2005, 11:04 AM   #4
crazytigger
Member
 
Registered: Sep 2004
Location: Brighton UK
Distribution: *buntu 7.10
Posts: 59

Original Poster
Rep: Reputation: 15
Hi thanks for the replies.

Im still having dependancy issues, YaST is not taking care of them for me.. what am i doing wrong?

I set the source up fine and selected Mplayer as you suggested.. OK i thought here we go.. then theres some conflicts.. liblzo.so.1.. so i think no prob... i find that package manually and enter dependancy hell..

mplayer: error while loading shared libraries: liblzo.so.1: cannot open shared object file: No such file or directory

meh..

please tell me im useless if you like.. Basically i dont what ive installed before trying to get this working.. i don't know where to find it if i did know.. and i don't know how to get YaST to install these dependancies properly.. setting up the new source for mplayer was fiddly but fine and it seemed to work - but this... ? i don't know.. i want to reinstall the whole thing and start again but i know this isn't in the spirit of the thing.. i should be able to sort this out.. :*(

If someone can take the time to help i would be most grateful..i learnt from whats been said before about setting up different sources for installation. i hope something similar will help me here..

Thanks




----------off topic-------------
3d Acceleration seems to be working after i selected the radeon 9200 IGP graphics driver and checked the 3d acceleration box, it may just be the fact that DRI is enabled properly by default in this version of suse (9.2) Other than that being a n00b i don't really know.. it has caused me many headaches trying to get 3d working and at least now i can play bzflags in all its glory.. I didn't employ any special pokery to get it working it just works 100x better than mandrake ever did.. apart from my avi playing issues.. and the fact i havent got an external mouse working yet. Im aware i have to add a few lines for it in XF86Free or whatever so im not too bothered about it at the mo
 
Old 05-23-2005, 11:13 AM   #5
abisko00
Senior Member
 
Registered: Mar 2004
Location: Munich
Distribution: SuSE, Ubuntu
Posts: 3,511

Rep: Reputation: 58
lzo should be a standard package of 9.2. However, I wonder why the dependency is not solved automatically. Probably because mplayer is a non-SUSE package. If you install it manually, mplayer should not complain anymore.

Thanks for the 3D info! I will try it at home.

Last edited by abisko00; 05-23-2005 at 11:15 AM.
 
Old 05-23-2005, 12:28 PM   #6
crazytigger
Member
 
Registered: Sep 2004
Location: Brighton UK
Distribution: *buntu 7.10
Posts: 59

Original Poster
Rep: Reputation: 15
Hi.. well im REALLY HAPPY!!.. you were right - lzo is a normal package with suse, but somehow i had uninstalled it when messing around with YaST, also when i searched for it before i had not enabled the CD as a source after adding the new Mplayer source as suggested by J_Szucs ..! Silly me being a bit n00bish although to be fair ive only been running suse for 4days now..

Thanks so much people, i love suse and now theres only the mouse issue and everything will be soooo sweet!

Regarding the 3D thingy.. when i run glxgears i get about 160fps.. which is the same as i had in mandrake without the 3d enabled ie .. not very high .. it just seems to work the 3d games so much better, tuxracer and bzflags work perfectly now and would hardly run under mandrake so im thinking the DRI implementation on suse must just be much better, and its not "true" 3d acceleration..
That said, it has recognised the fact that ive got an athlon, with MMX and "3d now" so its doing somthing right..

Keep me posted abisk00, id love to know how to get true 3d working if its not already

Athlon 1500+ compaq evo n1015v
Radeon IGP 320m (mobility U1) chipset
576mb RAM (64mb onboard VID)

Suse 9.2 and loving it

Last edited by crazytigger; 05-23-2005 at 12:39 PM.
 
Old 06-03-2005, 03:20 PM   #7
fyo
LQ Newbie
 
Registered: Oct 2003
Posts: 2

Rep: Reputation: 0
FWIW, I'm getting the exact same liblzo.so.1 dependency errors when trying to install MPlayer on SUSE 9.2 professional (ftp install).

I haven't "messed around and unstalled" anything, so it clearly isn't a part of the default 9.2 install (ftp, anyway).

It's also noteworthy that MPlayer isn't available from most official "complete" SUSE mirrors. I had to change to the mirror listed above (university of Bremen, by the looks of it) for YaST to find it.

-fyo

EDIT: and the lzo package isn't available from my original mirror nor the mirror listed above.

Last edited by fyo; 06-03-2005 at 03:24 PM.
 
Old 06-08-2005, 01:35 PM   #8
SuSE-friend
Member
 
Registered: Jun 2005
Distribution: SuSE 9.0 / 9.1 / 9.2 - Knoppix - Ipcop.org
Posts: 31

Rep: Reputation: 15
Lightbulb Maybe this helps you

Maybe this helps you :

http://packman.links2linux.org/?action=237

It is only displayed as for SuSE 9.1 (but should work in 9.2, too)

You may also have a look at those website as it has a lot of interesting things there
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Movie player that can play divx avi's ??? shogun990 Suse/Novell 4 10-16-2005 01:11 PM
SuSe and AVI's ITTOscar Linux - Software 2 03-15-2004 08:38 AM
AVI's for RedHat9 lucas2676 Linux - Software 5 10-23-2003 11:07 AM
can i cat .avi's together? rickenbacherus Linux - General 5 09-04-2003 12:06 AM
Burning avi's as iso's acid_kewpie Linux - General 3 09-15-2002 12:13 AM


All times are GMT -5. The time now is 05:21 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration